### Method

# GObject Value dup_object

#### Declaration

    GObject*
    g_value_dup_object (
      const GValue* value
    )

#### Description

Get the contents of a `G_TYPE_OBJECT` derived `GValue`, increasing its reference count. If the contents of the `GValue` are `NULL`, then `NULL` will be returned.

#### Return value

Type: `GObject`

Object content of `value`, should be unreferenced when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.